#ifndef AGDDPRIMARYSOLIDHH
#define AGDDPRIMARYSOLIDHH

namespace agdd {
  class PrimarySolid;
}

#include "ExpatInterface/Element.h"
#include "agddSection.hh"
#include "agddSolid.hh"
#include "agddHasTag.hh"

namespace agdd {

  class PrimarySolid : public Solid , public HasTag {
  private:
  public:
    explicit PrimarySolid(const string & tag) : 
      Solid(),
      HasTag(tag)
      {
    };
  public:
    void doPrimarySolidThingsToThisElement(xml::Element * elt) {
      doSolidThingsToThisElement(elt);
    };
  };
}

#endif
