
#include <string>
#include <iostream>

#include "preXmlNonNumber.hh"
#include "ExpatInterface/Element.h"

namespace preXml {

  void NonNumber::readFrom(const xml::Element & elt) {
    // Check we are reading the right kind of entity.
    assert(elt.getTagName() == string("nonNumber"));
    
    this->_value = elt[string("value")];
  };
  
  void NonNumber::printMeNicelyTo(ostream & os) const {
    os << this->_value;
  };

} // end of preXml::NonNumber namespace 
