#ifndef PREXMLNONNUMBERHH
#define PREXMLNONNUMBERHH

#include <iostream>
#include <string>
#include "preXmlQuantity.hh"
#include "ExpatInterface/Element.h"

namespace preXml {

  class NonNumber : public Quantity {
  public:
    typedef std::string StringType;
  private:
    StringType _value;
  public:
    virtual ~NonNumber() {};
    void readFrom(const xml::Element & elt);
    void printMeNicelyTo(ostream & os) const;
    const StringType value() const { return _value;   };
    operator StringType() const { return _value; };
  };

} // end of preXml namespace

#endif
