#ifndef AGDDSOLIDHH
#define AGDDSOLIDHH

namespace agdd {
  class Solid;
}

#include "ExpatInterface/Element.h"
#include "agddVolume.hh"
#include "agddSolidProperties.hh"

namespace agdd {

  class Solid : public Volume, public SolidProperties {
  public:
    explicit Solid() : 
      Volume(),
      SolidProperties()
      {
      };
  public:
    void doSolidThingsToThisElement(xml::Element * elt) {
      cout << "Appending Solid information ... " << flush;
      assert(elt);
      doVolumeThingsToThisElement(elt);
      doSolidPropertiesThingsToThisElement(elt);
      cout << "done." << endl;
    };
  };
}

#endif
