#ifndef PREXMLANGLEHH
#define PREXMLANGLEHH

#include <iostream>
#include "preXmlQuantity.hh"
#include "ExpatInterface/Element.h"

namespace preXml {

  class Angle : public Quantity {
  private:
    double _value;
  public:
    void readFrom(const xml::Element & elt);
    void printMeNicelyTo(ostream & os) const;
    const double value() const { return _value;   };
    operator double() const { return _value; };
    /*
      // I would like to be able to ban these.
      operator int() const { assert(string("Dear user.  I am not going to let you cast an Angle to on integer.  Explicitly cast preXml::Angle::value() if you must!")==string("")); return (int) 21/02/1976; // My birthday!
      };
    */
  };

} // end of preXml namespace

#endif
